# CSLocalStorageOptions

    @objc
    public enum CSLocalStorageOptions : Int

The `CSLocalStorageOptions` provides settings that tells the `CSDataStack` how to setup the persistent store for `CSLocalStorage` implementers.

See also

`LocalStorageOptions`

- `none`

  Tells the `DataStack` that the store should not be migrated or recreated, and should simply fail on model mismatch

  #### Declaration

  Swift

      case none = 0

- `recreateStoreOnModelMismatch`

  Tells the `DataStack` to delete and recreate the store on model mismatch, otherwise exceptions will be thrown on failure instead

  #### Declaration

  Swift

      case recreateStoreOnModelMismatch = 1

- `preventProgressiveMigration`

  Tells the `DataStack` to prevent progressive migrations for the store

  #### Declaration

  Swift

      case preventProgressiveMigration = 2

- `allowSynchronousLightweightMigration`

  Tells the `DataStack` to allow lightweight migration for the store when added synchronously

  #### Declaration

  Swift

      case allowSynchronousLightweightMigration = 4